Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
compilerpostprocessor Class Referenceabstract

Inherits compilermodule.

## Public Member Functions
| compilerpostprocessor ()
virtual | ~compilerpostprocessor ()
virtual bool | process (const char *input, stringbuffer *output, xmldomnode *metadata)=0
Public Member Functions inherited from compilermodule
| compilermodule ()
virtual | ~compilermodule ()
void | setId (const char *id)
bool | setParameters (const char *parameters)
void | setParameters (xmldomnode *parameters)
const char * | getId ()
xmldomnode * | getParameters ()

## Additional Inherited Members
Protected Attributes inherited from compilermodule
const char * | id
xmldomnode * | parameters

## Detailed Description

The compilerpostprocessor class is the base class for compiler modules that process a unit of code in its native format, after the tree representing it has been written back using a grammar that describes that format.

Postprocessor modules might apply formatting rules for readability, split code up into multiple files, or do simple translations that would be more costly to do as operations on a tree.

## Constructor & Destructor Documentation

compilerpostprocessor::compilerpostprocessor | ( |  | ) |

Creates a new instance of the compilerpostprocessor class.

virtual compilerpostprocessor::~compilerpostprocessor | ( |  | ) |
| virtual

Deletes this instance of the compilerpostprocessor class.

## Member Function Documentation

virtual bool compilerpostprocessor::process | ( | const char * | input,
|  | stringbuffer * | output,
|  | xmldomnode * | metadata
| ) |  |
| pure virtual

Processes "input", writing the result to "output", optionally referring to and/or updating "metadata" during the process. Returns true on success and false on failure.